Associate a license
Creates an association between a license and the NetApp Console by specifying either a NetApp License File (NLF) or required fields such as serialNumber and nssKeyId. Use this endpoint to manage licenses for NetApp Console services based on your account or resource requirements.
HTTP method and endpoint
POST /license/serial-number/{serialNumber}
Token usage
Either a NetApp Console user token or service token.
Usage notes
Associates a license with the NetApp Console either by providing a NetApp License File (NLF) in the license body field or a value for both the serialNumber query parameter and nssKeyId body field.
Note:
-
If you use a NetApp Console service token, accountId is not a required field.
-
If you use a NetApp Console user token,
accountIdis a required field. -
serialNumberis a required field when using this site. In general, you can specify its value asnull. -
If the value of
licenseTypeisEXTRA_CAPACITY, you must provide the associated resource ID (resourceId). -
licenseTypeis not a required field for data services and capacity based license types. -
expirationDateis a required field unless you are registered with the NetApp Support Site. -
licenseis not a required field if values forserialnumberandnssKeyIdare provided. -
capacityis a required field unless you are registered with the NetApp Support Site. -
packageValueis a required field (used only for internal purposes) unless you are registered with the NetApp Support Site. -
metadatais not a required field and is used to add additional data to a license that is not included in other request body fields.
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
serialNumber |
["string", "null"] |
path |
True |
|
X-Service-Request-Id |
string |
header |
False |
Request identifier |
Request Body
| Name | Type | Required | Description |
|---|---|---|---|
accountId |
string |
False |
|
resourceId |
["string", "null"] |
False |
|
licenseType |
string |
False |
|
expirationDate |
["integer", "null"] |
False |
|
license |
string |
False |
|
capacity |
["integer", "null"] |
False |
|
metadata |
["array", "null"] |
False |
|
nssKeyId |
string |
False |
Example request
{
"accountId": "string",
"licenseType": "string",
"license": "string",
"nssKeyId": "string"
}
Response
Status: 200, Success response
Response
Status: 4xx, Error response
| Name | Type | Required | Description |
|---|---|---|---|
errorCode |
string |
False |
Error code |
error |
string |
False |
Error code/category |
message |
string |
False |
Error description message |
Example response
{
"errorCode": "string",
"error": "string",
"message": "string"
}